View Issue Details

IDProjectCategoryView StatusLast Update
0016061MediaMonkey 5Now Playingpublic2022-09-19 16:11
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status feedbackResolutionreopened 
Product Version5.0 
Target Version5.1Fixed in Version5.0 
Summary0016061: Playing list (panel): Numerous issues with Randomize List functionality
DescriptionFor a playlist of 32 tracks, if I'm playing the second track and click randomize list
-->
1) Every single time, the list 'randomizes' in exactly the same way (i.e. it's not random)!
2) The indicator (yellow) of which track is playing disappears!
3) The order of the tracks doesn't make sense! i.e. if the 3rd track is playing and the user clicks 'randomize' then the first three tracks should be left as is and all subsequent tracks randomized. If no tracks are playing, then all tracks should be randomized.
4) As a consequence of 3) it's never clear what track is going to start playing after the track that was playing when the user clicked 'randomize'!
5) Clicking 'undo' (in the Playing list menu) has no effect! (fixed by 0016060 ?)

Note: all of these issues are new to MM5 except items 3/4 which also occurred in MM4
TagsNo tags attached.
Fixed in build2210

Relationships

related to 0016622 assignedmichal Now Playing: Unexpected behavior when Changing Sort order 
related to 0018988 feedbackmichal Make Shuffle mode display track order (and related improvements) 
related to 0018961 closedmichal Randomize List in Playing only randomizes files from playback position down 

Activities

rusty

2019-10-30 04:31

administrator   ~0055140

Note: retested this today at Michal's request and 1/2 are not replicable. These issues were previously occurring consistently, so I'm not sure what changed :-(

The remaining issues 3/4 would be nice to fix if trivial, but if not, can be pushed.

michal

2019-10-30 16:00

developer   ~0055150

Fixed in build 2210.

rusty

2019-11-05 14:34

administrator   ~0055203

Tested 2210 and it works nicely!

Note: the implementation doesn't randomize all tracks when playback is stopped, but I'm not re-opening because it's probably expected by users.

Ludek

2022-04-07 21:05

developer   ~0067493

Re-opened for evaluation as based on feedback from users it's unexpected, see: https://www.mediamonkey.com/forum/viewtopic.php?p=496417#p496417

rusty

2022-04-18 18:13

administrator   ~0067560

Last edited: 2022-04-19 00:15

User suggestions sound like a good idea i.e. make the behavior a) configurable or b) an on-the-fly choice:

a) Randomize list behaviour:
( ) Randomize all tracks
(o) Randomize tracks after the currently playing track

b)
Randomize list >
> All tracks
> After currently playing track

I think b) is probably the better choice as it works similarly to the 'Play shuffled' options. However, the entire issue may be moot or changed, depending on whether we tackle 0018988. i.e. if we fix 0018988, then 'Randomize tracks' would be eliminated, however, we would have to decide what occurs when the user enables 'Shuffle' and considering that there's no UI, the only reasonable approach would be to shuffle all tracks in the Playing list.

rusty

2022-09-19 16:11

administrator   ~0069369

0018988 is expected to be implemented for 5.1, so let's address this at the same time.